### Enumeration

# Qmi WdsPdpDataCompressionType

since: 1.18

#### Declaration

    enum Qmi.WdsPdpDataCompressionType

#### Description [src]

PDP data compression types.

Available since: 1.18

#### Members

`QMI_WDS_PDP_DATA_COMPRESSION_TYPE_OFF`

  No data compression.

  - Value: `0`
  - Available since: 1.18
`QMI_WDS_PDP_DATA_COMPRESSION_TYPE_MANUFACTURER_PREFERRED`

  Manufacturer preferred.

  - Value: `1`
  - Available since: 1.18
`QMI_WDS_PDP_DATA_COMPRESSION_TYPE_V42BIS`

  V42bis.

  - Value: `2`
  - Available since: 1.18
`QMI_WDS_PDP_DATA_COMPRESSION_TYPE_V44`

  V44.

  - Value: `3`
  - Available since: 1.18

#### Type functions

###### qmi_wds_pdp_data_compression_type_get_string

Gets the nickname string for the `QmiWdsPdpDataCompressionType` specified at `val`.

since: 1.18